Subject: UPS+UTF-8 (Was: Re: Anyone there?)

From: Randy Presuhn <[email-masked]>
Date: Wed, 6 May 1998 12:45:19 -0700 (PDT)

Hi - 

> Date: Wed, 6 May 1998 15:25:18 -0400
> From: [email-masked] (Maria Greene)
> To: Randy Presuhn <[email-masked]>
> Cc: [email-masked]
> Subject: Re: Anyone there?
> References: <[email-masked]>
> 
> 
> >>>>> "Randy" == Randy Presuhn <[email-masked]> writes:
>     ...
> 
>     Randy> RFC 1628 has lots of DisplayString objects.  Would
>     Randy> loosening this constraint to allow UTF-8 for
>     Randy> internationalization (SnmpAdminString) cause problems?  The
>     Randy> underlying syntax (OCTET STRING) and length constraints
>     Randy> would presumably be unchanged.
> 
> Hi, Randy. Good question. According to the "letter of the law"
> (RFC1902, section 10.2) it can't be. I believe we would need to
> deprecate and re-define the objects. However, agents implemented to
> the old MIB would still be conformant to the new definition, so this
> seems overly restrictive. I believe we would have to get "special
> dispensation" to make this change without giving the objects new
> OBJECT IDENTIFIERs. How important do you think this is? It effects
> many working groups with MIBs that are advancing so maybe it should be
> discussed on the v3 list?
...

I agree with your analysis.
I'd like to see the mibs be "internationalization non-hostile" :-).
Our area directors should be able to give the definitive answers.

 -----------------------------------------------------------------------
 Randy Presuhn           Email: [email-masked]      http://www.bmc.com     
 Voice: +1 408 616-3100  BMC Software, Inc.           965 Stewart Drive
 Fax:   +1 408 616-3101  Sunnyvale, California 94086  USA
 -----------------------------------------------------------------------
 In accordance with the BMC Communications Systems Use and Security
 Policy, I explicitly state that although my affiliation with BMC may be
 apparent, implied, or provided, my opinions are not necessarily those
 of BMC Software and that all external representations on behalf of
 BMC must first be cleared with a member of "the top management team."
 -----------------------------------------------------------------------